API Reference

Get Domain Claim

GET /domains/:domain_id/claim — retrieve the latest claim for a domain.

GET/domains/:domain_id/claim

Retrieves the latest claim for a domain. Poll this endpoint to follow a claim’s status after you start a claim. The :domain_id is the placeholder domain id returned in the domain_claim object.

Path parameters
domain_idstringrequired

The placeholder domain id returned when the claim was created.

import { MailBlastr } from 'mailblastr';

const mb = new MailBlastr('mb_xxxxxxxxx');

const { data, error } = await mb.domains.getClaim('d91cd9bd-1176-453e-8fc1-35364d380206');
console.log({ data, error });

Response

{
  "object": "domain_claim",
  "id": "dacf4072-4119-4d88-932f-6c6126d3a9d1",
  "name": "yourdomain.com",
  "status": "pending",
  "domain_id": "d91cd9bd-1176-453e-8fc1-35364d380206",
  "region": "us-east-1",
  "record": {
    "type": "TXT",
    "name": "yourdomain.com",
    "value": "mailblastr-domain-verification=3f8a1c2d4e5b6a7f8091a2b3c4d5e6f7",
    "ttl": "Auto"
  },
  "blocked_reason": null,
  "failure_reason": null,
  "created_at": "2026-06-16T17:12:02.059Z",
  "expires_at": "2026-06-23T17:12:02.059Z"
}

Errors: not_found if no claim exists for that domain id or it is not yours. See Errors.